package usecase

import (
	"app-cloudep-member-server/pkg/domain/config"
	"app-cloudep-member-server/pkg/domain/repository"
	"app-cloudep-member-server/pkg/domain/usecase"
)

type MemberUseCaseParam struct {
	Account         repository.AccountRepository
	User            repository.UserRepository
	AccountUID      repository.AccountUIDRepository
	VerifyCodeModel repository.VerifyCodeRepository
	GenerateUID     repository.AutoIDRepository
	Config          config.Config
}

type MemberUseCase struct {
	MemberUseCaseParam
}

func MustMemberUseCase(param MemberUseCaseParam) usecase.AccountUseCase {
	return &MemberUseCase{
		param,
	}
}
